<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ejercicio 3</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    
    <script
    src="https://code.jquery.com/jquery-3.4.1.min.js"
    integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
    crossorigin="anonymous"></script>
    
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    
    <!-- <link rel="stylesheet" href="style.css"> -->
</head>
<body>

    <div class="container">
        <h1>Ejercicio 3 del segundo cuatrimestre</h1>    
        <ul id="elto">
            <li class="cl">Tarea 1</li>
            <li class="cl">Tarea 2</li>
            <li class="cl">Tarea 3</li>
            <li class="cl">Tarea 4</li>
            <li class="cl">Tarea 5</li>
        </ul>
        <form>
            <label for="depId">
                Busca departamento
            </label>
            <input type="text" name="dep" id="depId">
            <input type="button" value="Enviar"
            class="btn btn-primary" id="btnEnv"           
            >

            <input class="btn btn-secondary" type="reset" value="Reset">
        </form>

        <br>

        <div class="card">
            <!-- <img class="card-img-top" src="holder.js/100x180/" alt=""> -->
            <div class="card-body">
                <h4 class="card-title">Departamentos</h4>
                <p class="card-text">
                    <div id="resultado">
                        <em>Aquí se mostrarán los departamentos</em>
                    </div>
                </p>
            </div>
        </div>
        <script src="cliente.js"></script>
        <script>

            $(function(){
                
                function f (r) {
                    $('#resultado').html(r);
                }

                function llamaAPhp () {
                    $.get('procesa.php', 
                        { dep: $('#depId').val() },
                        f);
                }

                $('#btnEnv').click(llamaAPhp);
                $('#depId').keyup(llamaAPhp);

                $('#btnEnv').click();
            });
                
        </script>
    </div>

</body>
</html>